RatePlans
Lists all the rate plans for a specific publisher and hotel.
At the moment, you are not able to obtain ARI data from the following Publishers: Little Hotelier and SiteMinder Channel Manager.
Lists all the rate plans for this hotel
This API uses JWT for Authentication/Authorisation (please see jwt.io for further details).
The token can be obtained via the SMX Subscriber Admin portal.
The request header must be in the following format (where 'token' is the encoded JWT string):
Authorization: Bearer token
The decoded JWT must include the following claims for it to be accepted by the API:
- iat - Token issued time
- jti - ID of the token
- aud - Audience of the token. This API expects the value to be 'subscriberx/api'.
- sub - Subject of the token. This API expects the value to be the code of the subscriber.
Example of JWT claims in a decoded token for the subscriber with code 'subscriberCode':
{
'iat': 1576812219,
'jti': 'e07f7327-490c-4dd7-8d63-c1bdd1f93001',
'aud': 'subscriberx/api',
'sub': 'subscriberCode'
}
Publisher code
Hotel code
OK
Not Authorised
Do not have access to the specified resource
Resource does not exist
Operation not supported by the requested resources
Exceeded API quota for the time period
Internal Server Error
GET /publishers/{publisherCode}/hotels/{hotelCode}/ratePlans HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
[
{
"code": "text",
"start": "2026-01-01",
"end": "2026-01-01",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"category": "text",
"yieldable": true,
"marketCode": "text",
"confidential": true,
"commissionable": true,
"names": [
{
"lang": "text",
"name": "text"
}
],
"descriptions": [
{
"lang": "text",
"description": "text"
}
],
"commission": {
"percentage": 1,
"amount": 1
},
"minimumAdvancedBookingOffset": 1,
"maximumAdvancedBookingOffset": 1,
"minLOS": 1,
"maxLOS": 1,
"arrivalWeekDays": [
"Mon"
],
"availableWeekDays": [
"Mon"
]
}
]Get a specific rate plan for a hotel and publisher
This API uses JWT for Authentication/Authorisation (please see jwt.io for further details).
The token can be obtained via the SMX Subscriber Admin portal.
The request header must be in the following format (where 'token' is the encoded JWT string):
Authorization: Bearer token
The decoded JWT must include the following claims for it to be accepted by the API:
- iat - Token issued time
- jti - ID of the token
- aud - Audience of the token. This API expects the value to be 'subscriberx/api'.
- sub - Subject of the token. This API expects the value to be the code of the subscriber.
Example of JWT claims in a decoded token for the subscriber with code 'subscriberCode':
{
'iat': 1576812219,
'jti': 'e07f7327-490c-4dd7-8d63-c1bdd1f93001',
'aud': 'subscriberx/api',
'sub': 'subscriberCode'
}
Publisher code
Hotel code
Rate plan code
OK
Not Authorised
Do not have access to the specified resource
Resource does not exist
Operation not supported by the requested resources
Exceeded API quota for the time period
Internal Server Error
GET /publishers/{publisherCode}/hotels/{hotelCode}/ratePlans/{ratePlanCode} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"code": "text",
"start": "2026-01-01",
"end": "2026-01-01",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"category": "text",
"yieldable": true,
"marketCode": "text",
"confidential": true,
"commissionable": true,
"names": [
{
"lang": "text",
"name": "text"
}
],
"descriptions": [
{
"lang": "text",
"description": "text"
}
],
"commission": {
"percentage": 1,
"amount": 1
},
"minimumAdvancedBookingOffset": 1,
"maximumAdvancedBookingOffset": 1,
"minLOS": 1,
"maxLOS": 1,
"arrivalWeekDays": [
"Mon"
],
"availableWeekDays": [
"Mon"
]
}Still have questions?
Use the Ask button at the top of the page to chat with our AI assistant — it can help you navigate the guide, understand requirements, and troubleshoot issues.
If you need more support, visit Integration Support.
Last updated
Was this helpful?